/*
    This file is part of KDE.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301,
    USA.
*/

#include "polkapersonsitemmodel.h"

#include "polkamodel.h"

#include <QDebug>

PolkaPersonsItemModel::PolkaPersonsItemModel( PolkaModel *polkaModel )
  : PolkaItemModel( polkaModel )
{
}

int PolkaPersonsItemModel::rowCount(const QModelIndex &parent) const
{
  Q_UNUSED( parent );

  return model()->persons().count();
}

Polka::Identity PolkaPersonsItemModel::getIdentityData( const QModelIndex &index ) const
{
  return model()->persons().at( index.row() );
}

Polka::Identity PolkaPersonsItemModel::identity( const QModelIndex &index )
{
  return model()->persons().at( index.row() );
}
